Skip to main content
PUT
/
api
/
v1
/
payment-methods
/
{payment_method_id}
Actualizar método de pago
curl --request PUT \
  --url https://api.lapyme.com.ar/api/v1/payment-methods/{payment_method_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "name": "<string>",
  "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fee_percentage": "<string>",
  "fee_fixed": 1,
  "requires_reference": true,
  "installment_plans": [
    {
      "code": "<string>",
      "label": "<string>"
    }
  ],
  "is_active": true
}
'
{
  "request_id": "<string>",
  "data": {
    "payment_method": {
      "object": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "icon": "<string>",
      "bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fee_percentage": "<string>",
      "fee_fixed": 123,
      "requires_reference": true,
      "is_active": true,
      "is_default": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "installment_plans": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "code": "<string>",
          "label": "<string>",
          "sort_order": 123,
          "is_active": true
        }
      ]
    }
  },
  "warnings": [
    "<unknown>"
  ]
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Headers

Idempotency-Key
string
required

Path Parameters

payment_method_id
string<uuid>
required

Body

application/json
name
string
required
type
enum<string>
Available options:
cash,
check,
card,
bank_transfer,
other
bank_account_id
string<uuid> | null
linked_account_id
string<uuid> | null
fee_percentage
string | null
fee_fixed
integer | null
Required range: x >= 0
requires_reference
boolean
visibility
enum<string>
Available options:
sales,
purchases,
both,
system
installment_plans
object[]
is_active
boolean

Response

Método de pago actualizado exitosamente

request_id
string
required
data
object
required
warnings
any[]
required